#
# spec file for package sm-ncc-sync-data
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           sm-ncc-sync-data
Version:        1.2.0
Release:        1.3
Summary:        data files for NCC data configuration
Group:          Productivity/Other
License:        GPL v2 only
Url:            http://www.novell.com
Source0:        sm-ncc-sync-data-git-43787890082514f30ef83a793f50b0505d2d1e42.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description 
This package contains data files with NCC information



%prep
%setup -q -n sm-ncc-sync-data-git-43787890082514f30ef83a793f50b0505d2d1e42

%build

%install

mkdir -p %{buildroot}/usr/share/susemanager
mkdir -p %{buildroot}/srv/www/htdocs/pub/
install -m 0644 channel_families.xml %{buildroot}/usr/share/susemanager/channel_families.xml
install -m 0644 channels.xml         %{buildroot}/usr/share/susemanager/channels.xml
install -m 0644 res.key              %{buildroot}/srv/www/htdocs/pub/
install -m 0644 suse-307E3D54.key    %{buildroot}/srv/www/htdocs/pub/
install -m 0644 suse-9C800ACA.key    %{buildroot}/srv/www/htdocs/pub/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%dir /usr/share/susemanager
%dir /srv/www/htdocs/pub
/usr/share/susemanager/channel_families.xml
/usr/share/susemanager/channels.xml
/srv/www/htdocs/pub/*.key

%changelog
* Wed Feb 23 2011 iartarisi@suse.cz
- tidied channels.xml
- removed SUSE Manager Tools SAP-AiO s390x, ppc64, ia64, i586
- removed SUSE Manager Tools VMWare s390x, ppc64, ia64
* Tue Feb 22 2011 iartarisi@suse.cz
- new channels.xml: added SUSE Manager Tools SAP-AiO and VMWare channels
* Tue Feb 22 2011 iartarisi@suse.cz
- new channels.xml: replace dummyurls with empty strings for fake RHEL
  channels
* Thu Feb 17 2011 mc@suse.de
- add suse build keys
* Tue Feb 15 2011 iartarisi@suse.cz
- update channel data: add product names and versions
* Mon Feb 14 2011 mc@suse.de
- add tools channel description for res6
* Mon Feb 14 2011 mc@suse.de
- add tools channel description
* Fri Feb 11 2011 iartarisi@suse.cz
- update channel data: added SAP-AiO x86_64 group of channels
* Wed Feb  9 2011 iartarisi@suse.cz
- update channel data: added duplicate VMWare channels
* Mon Feb  7 2011 iartarisi@suse.cz
- update channel data:
  * fix parent relationships for ppc64, ia64, s390x channels
  * add different valid dummy source_urls for RHEL channels
* Sat Feb  5 2011 mc@suse.de
- update channel data; add parents for HAE Update channels
- fix SMT data
- fix incorrect parent channels for debuginfo, extra, updates and
  webyast
* Fri Feb  4 2011 mc@suse.de
- add RES pubkey
* Fri Feb  4 2011 mc@suse.de
- build ncc-data package with own specfile
* Fri Feb  4 2011 mc@suse.de
- create seperate channels for rhel4 as and es (bnc#669466)
- do not create contentsource if no URL is available
* Thu Feb  3 2011 mc@suse.de
- add SuSEfirewall config for service suse-manager-server
  (bnc#664560)
* Thu Feb  3 2011 dmacvicar@suse.de
- Don't warn of missing memory when there is enough bnc#667856
* Thu Feb  3 2011 dmacvicar@suse.de
- add welcome.txt
* Wed Feb  2 2011 iartarisi@suse.cz
- channels now map 1:1 to repositories
* Tue Feb  1 2011 dmacvicar@suse.de
- fix typo (bnc#667834)
* Thu Jan 27 2011 mc@suse.de
- NCC needed for migration (bnc#666073#c11)
- fix bnc#665587 - adding channels with different ix86
  architectures should also register all the different
  suseproducts for these channels
- setting the FROM eMail address to something useful
* Wed Jan 26 2011 dmacvicar@suse.de
- fix ram check dialog workflow error message
- do not cut text out when displaying not enough ram message
* Tue Jan 25 2011 mc@suse.de
- RES repositories do not have signed metadata (bnc#665590)
* Fri Jan 21 2011 mc@suse.de
- set SSL certificate expiration time to 10 years (bnc#643745)
* Wed Jan 19 2011 ug@suse.de
- yast code updated
* Wed Jan 19 2011 iartarisi@suse.cz
- updated channels.xml file: split channels with multiple parents into
  multiple channels
* Tue Jan 18 2011 mc@suse.de
- add YaST directory to filelist
* Tue Jan 18 2011 iartarisi@suse.cz
- fixed an error when adding new channels after changing an
  RhnContentSourceTypeId
* Tue Jan 18 2011 dmacvicar@suse.de
- add YaST2 dialogs
* Mon Jan 17 2011 mc@suse.de
- rename sm-register to mgr-register
- rename sm-ncc-sync to mgr-ncc-sync
* Mon Jan 17 2011 mc@suse.de
- change suseServer ostarget to a foreign key to suseOSTarget(id)
* Mon Jan 17 2011 mc@suse.de
- update channel information
* Fri Jan 14 2011 mc@suse.de
- added entitlement handling
- put the license in a firtboot usable format
- subscribe channels according to submitted suse product data
- Populate suseproductchannel table with product-channel mappings
- added test for subscription calculation
* Tue Jan 11 2011 mc@suse.de
- syncing NCC with SUSE Manager
- Installation: Character Limitations of NCC Password (bnc#658467)
- lots of fixes
* Thu Dec  9 2010 ma@suse.de
- Version 1.2
* Thu Dec  9 2010 ma@suse.de
- Make suseRegisterInfo a separate package.
* Wed Dec  8 2010 ma@suse.de
- Let suseRegisterInfo also provide suse_register_info output parser.
* Tue Nov 16 2010 mantel@suse.de
- fix hostname for postfix
* Mon Nov 15 2010 mantel@suse.de
- setup additional swap if there is not enough memory
* Wed Nov 10 2010 mantel@suse.de
- make buildservice happy
* Wed Nov 10 2010 mantel@suse.de
- call susemanager_firstboot from /etc/init.d/boot.local
* Tue Nov  9 2010 mantel@suse.de
- spec file cleanup
* Tue Nov  9 2010 mantel@suse.de
- script needs to run during boot, not when entering runlevel
* Tue Nov  9 2010 mantel@suse.de
- stty terminal before displaying license files
* Tue Nov  9 2010 mantel@suse.de
- add final beta EULA
- Oracle EULA must be displayed _after_ Novell EULA
* Tue Nov  9 2010 mantel@suse.de
- fix filelist
* Tue Nov  9 2010 mantel@suse.de
- make user accept licenses on first boot. If at least one license
  is declined, halt system.
* Mon Nov  8 2010 mc@suse.de
- Initial release of susemanager
